@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Days+One&family=Open+Sans&family=Russo+One&family=Space+Grotesk&display=swap');
*{
    box-sizing: border-box;
}
body{
    background-color: #fafafa;
    font-family: 'Roboto', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
}
.magic{
    background-color: #f9ca24;
    color:#fff;
    font-family: 'Poppins', sans-serif;
    border:0;
    border-radius: 3px;
    font-size: 16px;
    padding:12px 20px;
    cursor: pointer;
    position: fixed;
    top:20px;
    letter-spacing: 1px;
    box-shadow: 0 3px rgba(249,202,36,0.5);
    z-index:100;
}
.magic:focus{
    outline:none;
}
/* romove box shadow when button is clicked */
.magic:active{
    box-shadow: none;
    transform: translateY(2px);
}
.boxes{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    height: 500px;
    width:500px;
    position: relative;
    transition: 0.4s ease;
}
.boxes.big{
    width:600px;
    height:600px;
}
/* adding a transition to all boxes */
.boxes.big .box{
    transform: rotateZ(360deg);
}
.box{
    background-image: url('../gitf/1.gif');
    background-color: yellowgreen;
    height: 125px;
    width:125px;
    /* to show just the part which supposed to be in the teil, grow image to parent size and stop repent */
    background-repeat: no-repeat;
    background-size: 500px 500px;
    /* we need to use before and after */
    position: relative;
    transition:2s ease-in-out;
}
/* to add box shadows to .box */
.box::after{
    content: '';
    background-color: #f6e58d;
    position: absolute;
    top:8px;
    right: -15px;
    height: 100%;
    width:15px;
    /* to add a show shape  */
    transform:skewY(45deg);
}
.box::before{
    content: '';
    background-color: #f9ca24;
    position: absolute;
    bottom:-15px;
    left: 8px;
    height: 15px;
    width:100%;
    /* to add a show shape  */
    transform:skew(45deg);
}
/* breaking image into smal images is controled by js file  */